package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 欢迎语适用范围表(TabHaobanWelcomeSuitRang)实体类
 *
 * @author xugaojun
 * @since 2022-02-10 16:40:15
 */
public class TabHaobanWelcomeSuitRang implements Serializable {
    private static final long serialVersionUID = -99086648135131874L;
    /**
    * 主键id
    */
    private Long welcomeSuitRangId;
    /**
    * 微信企业id
    */
    private String wxEnterpriseId;
    /**
    * 欢迎语id
    */
    private String welcomeId;
    /**
    * 适用范围类型 1部门 2员工
    */
    private Integer suitType;
    /**
    * 适用部门id
    */
    private String suitDepartmentId;
    /**
    * 适用部门名称
    */
    private String suitDepartmentName;
    /**
    * 适用员工id
    */
    private String suitStaffId;
    /**
    * 适用员工名称
    */
    private String suitStaffName;
    /**
    * 员工所属部门id
    */
    private String staffBelongDepartmentId;
    /**
    * 员工所属部门名称
    */
    private String staffBelongDepartmentName;
    /**
     * 选中类型（部门）1被选中 2关联选中
     */
    private Integer selectType;
    /**
    * 创建时间
    */
    private Date createTime;
    /**
    * 更新时间
    */
    private Date updateTime;
    /**
    * 是否删除0否1是
    */
    private Integer deleteFlag;


    public Long getWelcomeSuitRangId() {
        return welcomeSuitRangId;
    }

    public void setWelcomeSuitRangId(Long welcomeSuitRangId) {
        this.welcomeSuitRangId = welcomeSuitRangId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public Integer getSuitType() {
        return suitType;
    }

    public void setSuitType(Integer suitType) {
        this.suitType = suitType;
    }

    public String getSuitDepartmentId() {
        return suitDepartmentId;
    }

    public void setSuitDepartmentId(String suitDepartmentId) {
        this.suitDepartmentId = suitDepartmentId;
    }

    public String getSuitDepartmentName() {
        return suitDepartmentName;
    }

    public void setSuitDepartmentName(String suitDepartmentName) {
        this.suitDepartmentName = suitDepartmentName;
    }

    public String getSuitStaffId() {
        return suitStaffId;
    }

    public void setSuitStaffId(String suitStaffId) {
        this.suitStaffId = suitStaffId;
    }

    public String getSuitStaffName() {
        return suitStaffName;
    }

    public void setSuitStaffName(String suitStaffName) {
        this.suitStaffName = suitStaffName;
    }

    public String getStaffBelongDepartmentId() {
        return staffBelongDepartmentId;
    }

    public void setStaffBelongDepartmentId(String staffBelongDepartmentId) {
        this.staffBelongDepartmentId = staffBelongDepartmentId;
    }

    public String getStaffBelongDepartmentName() {
        return staffBelongDepartmentName;
    }

    public void setStaffBelongDepartmentName(String staffBelongDepartmentName) {
        this.staffBelongDepartmentName = staffBelongDepartmentName;
    }

    public Integer getSelectType() {
        return selectType;
    }

    public void setSelectType(Integer selectType) {
        this.selectType = selectType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

}
